Subject: [PATCH net-next 0/5] selftests: drv-net: rss_ctx: more tests

From: Jakub Kicinski <[email-masked]>
Date: Thu, 4 Jul 2024 18:57:20 -0700

Add a few more tests. I think they work. Commit 5d350dc3429b ("bnxt_en:
Fix the resource check condition for RSS contexts") does not appear
to have fixed bnxt for me :(

Jakub Kicinski (5):
  selftests: drv-net: rss_ctx: fix cleanup in the basic test
  selftests: drv-net: rss_ctx: factor out send traffic and check
  selftests: drv-net: rss_ctx: test queue changes vs user RSS config
  selftests: drv-net: rss_ctx: check behavior of indirection table
    resizing
  selftests: drv-net: rss_ctx: test flow rehashing without impacting
    traffic

 .../selftests/drivers/net/hw/rss_ctx.py       | 206 +++++++++++++++---
 1 file changed, 181 insertions(+), 25 deletions(-)

-- 
2.45.2